Summary:	Inter Client Exchange library
Summary(pl.UTF-8):	Biblioteka wymiany między klientami
Name:		xorg-lib-libICE
Version:	1.0.9
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libICE-%{version}.tar.bz2
# Source0-md5:	addfb1e897ca8079531669c7c7711726
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
Obsoletes:	libICE
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inter Client Exchange library.

%description -l pl.UTF-8
Biblioteka wymiany między klientami.

%package devel
Summary:	Header files for libICE library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libICE
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-proto-xproto-devel
Obsoletes:	libICE-devel

%description devel
Inter Client Exchange library.

This package contains the header files needed to develop programs that
use libICE.

%description devel -l pl.UTF-8
Biblioteka wymiany między klientami.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libICE.

%package static
Summary:	Static libICE library
Summary(pl.UTF-8):	Biblioteka statyczna libICE
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libICE-static

%description static
Inter Client Exchange library.

This package contains the static libICE library.

%description static -l pl.UTF-8
Biblioteka wymiany między klientami.

Pakiet zawiera statyczną bibliotekę libICE.

%prep
%setup -q -n libICE-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libICE.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libICE.so.6

%files devel
%defattr(644,root,root,755)
%doc doc/ICElib.html specs/ice.html
%attr(755,root,root) %{_libdir}/libICE.so
%{_libdir}/libICE.la
%dir %{_includedir}/X11/ICE
%{_includedir}/X11/ICE/*.h
%{_pkgconfigdir}/ice.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libICE.a
%changelog
* Fri May 08 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-lib-libICE.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7ddf257
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jun 07 2014 Jakub Bogusz <qboosh@pld-linux.org> b5124b3
- BR: xproto (required directly)

* Sat Jun 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f817c4
- up to 1.0.9

* Sat Mar 03 2012 Jakub Bogusz <qboosh@pld-linux.org> f1fb425
- updated to 1.0.8

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 90a83b6
- BR: docbook-dtd412-xml

* Fri Oct 22 2010 Jakub Bogusz <qboosh@pld-linux.org> 6c43d99
- updated to 1.0.7

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> b9441a7
- added README to doc

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e2d31c
- up to 1.0.6

* Fri Jan 09 2009 Jakub Bogusz <qboosh@pld-linux.org> c1e5ccf
- ghost soname symlink
- updated macros BR

* Tue Jan 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e7b7107
- up to 1.0.5

* Tue Aug 21 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 77ecb2e
- up to 1.0.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9d5b539
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f3a393b
- converted to UTF-8

* Sat Dec 16 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 68e7fb5
- up to 1.0.3

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> fd205f9
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 15a772e
- rebuild

* Mon Nov 20 2006 Paweł Sikora <pluto@pld-linux.org> 13116c7
- release 2 (rebuild with P: *.la).

* Fri Oct 13 2006 Jakub Bogusz <qboosh@pld-linux.org> e42f8e4
- updated to 1.0.2

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d15553c
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

* Wed Mar 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 506443c
- release 1

